Skip to main content
`Ctrl`+`K`

# DMSNESSetMFFunction

set `SNES` residual evaluation function used in applying the matrix-free Jacobian with `-snes_mf_operator`

## Synopsis

    #include "petscsnes.h"
    #include "petscdm.h"
    PetscErrorCode DMSNESSetMFFunction(DM dm, SNESFunctionFn *func, void *ctx)

Logically Collective

## Input Parameters

- dm - `DM` to be used with `SNES`

- func - residual evaluation function; see `SNESFunctionFn` for calling sequence

- ctx - optional function context

## Note

If not provided then the function provided with `SNESSetFunction()` is used

## See Also

SNES: Nonlinear Solvers, `DMSNES`, `DMSNESSetContext()`, `SNESSetFunction()`, `DMSNESSetJacobian()`, `SNESFunction`, `DMSNESSetFunction()`, `SNESFunctionFn`

## Level

developer

## Location

src/snes/utils/dmsnes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages